#include <kernels.h>
#include <template-kernels.hpp>

#ifdef __cplusplus
extern "C" {
#endif

void helm3d_f_(const int32_t* nd, const float* zk, const float* sources, const float* charge, const int32_t* ns, const float* ztarg, const int32_t* nt, float* pot, const float* thresh) {
  helm3d<float>(nd, zk, sources, charge, ns, ztarg, nt, pot, thresh);
}

void helm3d_vec_f_(const int32_t* nd, const float* zk, const float* sources, const float* charge, const int32_t* ns, const float* ztarg, const int32_t* nt, float* pot, const float* thresh) {
  helm3d_vec<float,4>(nd, zk, sources, charge, ns, ztarg, nt, pot, thresh);
}

void helm3d_d_(const int32_t* nd, const double* zk, const double* sources, const double* charge, const int32_t* ns, const double* ztarg, const int32_t* nt, double* pot, const double* thresh) {
  helm3d<double>(nd, zk, sources, charge, ns, ztarg, nt, pot, thresh);
}

void helm3d_vec_d_(const int32_t* nd, const double* zk, const double* sources, const double* charge, const int32_t* ns, const double* ztarg, const int32_t* nt, double* pot, const double* thresh) {
  helm3d_vec<double,4>(nd, zk, sources, charge, ns, ztarg, nt, pot, thresh);
}

#ifdef __cplusplus
}
#endif

